Bug 247852 - Review Request: R-systemfit - Simultaneous Equation Estimation R Package
Review Request: R-systemfit - Simultaneous Equation Estimation R Package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 13:59 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 16:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-11 13:59:16 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-systemfit.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-systemfit-0.8-3.src.rpm
Description:
This R package contains functions for fitting simultaneous systems of linear
and nonlinear equations using Ordinary Least Squares (OLS), Weighted Least
Squares (WLS), Seemingly Unrelated Regressions (SUR), Two-Stage Least Squares
(2SLS), Weighted Two-Stage Least Squares (W2SLS), Three-Stage Least Squares
(3SLS), and Weighted Three-Stage Least Squares (W3SLS).
Comment 1 Jason Tibbitts 2007-07-11 21:22:19 EDT
The URL seems incorrect; I think
   http://cran.r-project.org/src/contrib/Descriptions/systemfit.html
is the right one, or perhaps
   http://www.systemfit.org/

You'll need a Requires: R there as well.  (The template has been updated to
reflect that.)

rpmlint has the usual two complaints, plus one other:
W: R-systemfit file-not-utf8 /usr/share/R/library/systemfit/man/systemfit.Rd.gz
This is due to a single u-with-umlaut on line 244 of systemfit.Rd; a call to
iconv should fix it up.

The checks are very noisy, with many differences shown in the least significant
digits.  However, it looks to me as if everything comes out OK.

* source files match upstream:
   3172eda701ed559443f6e8344263e772ea11dd5401108fe61b84a324949643b5  
   systemfit_0.8-2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently
  (follows the R example template).
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has a valid complaint.
* final provides and requires are sane:
   R-systemfit = 0.8-3.fc8
  =
   /bin/sh
   R
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Orion Poplawski 2007-07-12 11:42:20 EDT
* Thu Jul 12 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-4
- Fix URL
- Add Requires: R

http://www.cora.nwra.com/~orion/fedora/R-systemfit.spec
http://www.cora.nwra.com/~orion/fedora/R-systemfit-0.8-4.src.rpm
Comment 3 Jason Tibbitts 2007-07-12 12:45:49 EDT
OK, now it's just down that file-not-utf8 error with systemfit.Rd.

Comment 4 Orion Poplawski 2007-07-12 13:00:37 EDT
(In reply to comment #3)
> OK, now it's just down that file-not-utf8 error with systemfit.Rd.


Gah, fixed.


* Thu Jul 12 2007 Orion Poplawski <orion@cora.nwra.com> - 0.8-5
- Convert systemfit.Rd to UTF-8

http://www.cora.nwra.com/~orion/fedora/R-systemfit.spec
http://www.cora.nwra.com/~orion/fedora/R-systemfit-0.8-5.src.rpm
Comment 5 Jason Tibbitts 2007-07-12 19:19:25 EDT
Looks good now.

APPROVED
Comment 6 Jason Tibbitts 2007-07-19 20:45:00 EDT
Ping?
Comment 7 Orion Poplawski 2007-07-24 17:15:45 EDT
Sorry, on vacation.

New Package CVS Request
=======================
Package Name: R-systemfit
Short Description: Simultaneous Equation Estimation R Package
Owners: orion
Branches: F-7 FC-6 EL-5
Comment 8 Jason Tibbitts 2007-08-15 12:34:11 EDT
It looks like this is in rawhide but hasn't been pushed to F7.  (I don't see it
in the FC-6 extras repository, either.)  Do you need assistance getting this
package pushed out?
Comment 9 Orion Poplawski 2007-08-15 16:16:27 EDT
Just got pushed to the back burner.  Builds are on their way.

Note You need to log in before you can comment on or make changes to this bug.